#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-A3vXc5eCPp0GbmJXZu4D47
key:                  hoogle-5.0.18.4-A3vXc5eCPp0GbmJXZu4D47
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  4e45eed21dd94468af01744edf654c9f
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-A3vXc5eCPp0GbmJXZu4D47
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-2fwOGp9PorUAao68q5lrRL
    aeson-2.1.2.1-2DC8oo6JY6hDnCPVtrY9Cs base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.1.2-EEuC7ZWs8XI25agGNnltL4
    blaze-markup-0.8.3.0-IeMc2hkyrUe9sag5bD5ezf bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.5-6FjETGOR4CC4rBRPEKClBB
    conduit-extra-1.3.6-Ce01hs0VsLAG3YRecRGsrv containers-0.6.5.1
    crypton-connection-0.3.2-3H8l6Zl0ceOLAjF7cPfdkF deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.14-BjMplnCbMvt39ARSQjqIhJ
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.3.0-3dqA7o3S1KBIuEdO2YDkYf
    haskell-src-exts-1.23.1-KXKyk48BJM47FUd9uNOITM
    http-conduit-2.3.8.3-AU4mgi37glK5NIubhKocIo
    http-types-0.12.4-HcGM6QE1zVBGXemJAtRT5a
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-Ef8YXnKTOCtK86rAAEIpV6
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-C2OeOC4IQkMJ15Od7v1HF5
    resourcet-1.2.6-1uJ6XxsltNCHNDeK9zl13e
    safe-0.3.21-I6NDQ6oHJyuFOqOiMMdAEz
    storable-tuple-0.1-4Oucqosk749C1rg4Qlm5cI
    tar-0.5.1.1-5dkoAHryNlRL6PVCz4JaKN template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-H4KMqD3HF0k2vZm6pyuGn7
    utf8-string-1.0.2-CndrelvclEbJyymwdX0DqC
    vector-0.13.1.0-BOAscM7GxpQxkvUjpqER4
    wai-3.2.4-BF5pNTn7G6Z3hTshJIvCfW
    wai-logger-2.4.0-EuzxomEf6JALK6IkJSkeTu
    warp-3.3.30-3axKwgVXTGCDITFQHmyc
    warp-tls-3.4.5-1RIHtN9XxjrEY3AYjl4e9p
    zlib-0.6.3.0-6JklbuqwVaBC4tiJ9FeSNT

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

